Subject: bug#51334: RMAIL error on send C-c C-c

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Oct 2021 20:41:39 +0300

> From: Nick Strauss <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 22 Oct 2021 16:36:57 +0000
> 
> The version is GNU Emacs 24.4.1. I have included backtrace at end of message.

Thanks.  Emacs 24.4 is very old, I suggest to upgrade.

> Thread 1 "emacs" received signal SIGILL, Illegal instruction.
> 0x00007f2e35c223a3 in __gmpz_import () from /usr/local/lib/libgmp.so.10
> (gdb) bt
> #0  0x00007f2e35c223a3 in __gmpz_import () from /usr/local/lib/libgmp.so.10
> #1  0x00007f2e35e864dc in nettle_mpz_set_str_256_u ()
>    from /usr/lib/x86_64-linux-gnu/libhogweed.so.2
> #2  0x00007f2e3846de1c in ?? ()
>    from /usr/lib/x86_64-linux-gnu/libgnutls-deb0.so.28

Sounds like some problem with the GnuTLS library, so I suggest to
upgrade that as well.

I see no indications here that it's an Emacs problem.